us.zoom.sdk

## Interface MeetingSettingsHelper

-     public interface MeetingSettingsHelper

  Zoom meeting settings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANTIBANDING_50HZ`
    `static java.lang.String` | `ANTIBANDING_60HZ`
    `static java.lang.String` | `ANTIBANDING_AUTO`
    `static java.lang.String` | `ANTIBANDING_OFF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGalleryViewCapacity()` Get capacity of videos gallery view.
    `java.lang.String` | `getPreferredCameraAntibanding()` Gets the preferred antibanding value to use.
    `int` | `getSwitchVideoLayoutUserCountThreshold()` Get the user count threshold value used to automatically switch video layout.
    `boolean` | `isAlwaysShowMeetingToolbarEnabled()` Check if "always show meeting toolbar" option is enabled
    `boolean` | `isAutoConnectVoIPWhenJoinMeetingEnabled()` Method for determining if auto connect audio using internet when joining a meeting.
    `boolean` | `isGalleryVideoViewDisabled()` Check if videos gallery view is diabled.
    `boolean` | `isHideNoVideoUsersEnabled()` Check if "hide no video users" option is enabled
    `boolean` | `isKubiDeviceEnabled()` Method for determining if Kubi device setting is enabled.
    `boolean` | `isMuteMyMicrophoneWhenJoinMeetingEnabled()` Method for determining if always mute my microphone when joining a meeting.
    `boolean` | `isNoLeaveMeetingButtonForHostEnabled()` Check if "No leave meeting button for host" option is enabled
    `boolean` | `isNoUserJoinOrLeaveTipEnabled()` Check if "No user join or leave tip" option is enabled
    `boolean` | `isNoVideoTileOnShareScreenEnabled()` Check if "No video tile on share screen" option is enabled
    `boolean` | `isSwitchVideoLayoutAccordingToUserCountEnabled()` Check if it is automatically to switch video layout mode between active video and gallery view based on count of users.
    `boolean` | `isTurnOffMyVideoWhenJoinMeetingEnabled()` Method for determining if always turn off my video when joining a meeting.
    `void` | `setAlwaysShowMeetingToolbarEnabled(boolean enabled)` Turn on/off the option "always show meeting toolbar"
    `void` | `setAutoConnectVoIPWhenJoinMeeting(boolean enabled)` Method for enabling or disabling auto connect audio using internet when joining a meeting.
    `void` | `setGalleryVideoViewDisabled(boolean disabled)` Disable/enable videos gallery view
    `void` | `setGalleryViewCapacity(int cap)` Set capacity of videos gallery view
    `void` | `setHideNoVideoUsersEnabled(boolean enabled)` Turn on/off the option "hide no video users"
    `void` | `setKubiDeviceEnabled(boolean enabled)` Method for enabling or disabling Kubi device setting.
    `void` | `setMuteMyMicrophoneWhenJoinMeeting(boolean enabled)` Method for enabling or disabling always mute my microphone when joining a meeting.
    `void` | `setNoLeaveMeetingButtonForHostEnabled(boolean enabled)` Turn on/off the option "No leave meeting button for host"
    `void` | `setNoUserJoinOrLeaveTipEnabled(boolean enabled)` Turn on/off the option "No user join or leave tip"
    `void` | `setNoVideoTileOnShareScreenEnabled(boolean enabled)` Turn on/off the option "No video tile on share screen"
    `void` | `setPreferredCameraAntibanding(java.lang.String antibanding)` Sets the preferred antibanding value to use.
    `void` | `setSwitchVideoLayoutAccordingToUserCountEnabled(boolean enabled)` Enable/disable to automatically to switch video layout mode between active video and gallery view based on count of users.
    `void` | `setSwitchVideoLayoutUserCountThreshold(int value)` Set the user count threshold value used to automatically switch video layout.
    `void` | `setTurnOffMyVideoWhenJoinMeeting(boolean enabled)` Method for enabling or disabling always turn off my video when joining ameeting

- - ### Field Detail

    - #### ANTIBANDING_50HZ

          static final java.lang.String ANTIBANDING_50HZ

      See Also:
        Constant Field Values

    - #### ANTIBANDING_60HZ

          static final java.lang.String ANTIBANDING_60HZ

      See Also:
        Constant Field Values

    - #### ANTIBANDING_AUTO

          static final java.lang.String ANTIBANDING_AUTO

      See Also:
        Constant Field Values

    - #### ANTIBANDING_OFF

          static final java.lang.String ANTIBANDING_OFF

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setAutoConnectVoIPWhenJoinMeeting

          void setAutoConnectVoIPWhenJoinMeeting(boolean enabled)

      Method for enabling or disabling auto connect audio using internet when joining a meeting.
      Parameters:
        `enabled` - true if auto connect device audio setting should be enabled

    - #### isAutoConnectVoIPWhenJoinMeetingEnabled

          boolean isAutoConnectVoIPWhenJoinMeetingEnabled()

      Method for determining if auto connect audio using internet when joining a meeting.
      Returns:
        true if the setting is enabled

    - #### setMuteMyMicrophoneWhenJoinMeeting

          void setMuteMyMicrophoneWhenJoinMeeting(boolean enabled)

      Method for enabling or disabling always mute my microphone when joining a meeting.
      Parameters:
        `enabled` - true if always mute my microphone setting should be enabled

    - #### isMuteMyMicrophoneWhenJoinMeetingEnabled

          boolean isMuteMyMicrophoneWhenJoinMeetingEnabled()

      Method for determining if always mute my microphone when joining a meeting.
      Returns:
        true if the setting is enabled

    - #### setTurnOffMyVideoWhenJoinMeeting

          void setTurnOffMyVideoWhenJoinMeeting(boolean enabled)

      Method for enabling or disabling always turn off my video when joining ameeting
      Parameters:
        `enabled` - true if always turn off my video setting should be enabled

    - #### isTurnOffMyVideoWhenJoinMeetingEnabled

          boolean isTurnOffMyVideoWhenJoinMeetingEnabled()

      Method for determining if always turn off my video when joining a meeting.
      Returns:
        true if the setting is enabled

    - #### setKubiDeviceEnabled

          void setKubiDeviceEnabled(boolean enabled)

      Method for enabling or disabling Kubi device setting.
      Parameters:
        `enabled` - true if Kubi device setting should be enabled

    - #### isKubiDeviceEnabled

          boolean isKubiDeviceEnabled()

      Method for determining if Kubi device setting is enabled.
      Returns:
        true if the setting is enabled

    - #### setPreferredCameraAntibanding

          void setPreferredCameraAntibanding(java.lang.String antibanding)

      Sets the preferred antibanding value to use. If the value is not supported antibanding will not be setted.
      Parameters:
        `antibanding` - antibanding value

    - #### getPreferredCameraAntibanding

          java.lang.String getPreferredCameraAntibanding()

      Gets the preferred antibanding value to use.
      Returns:
        preferred antibanding

    - #### isHideNoVideoUsersEnabled

          boolean isHideNoVideoUsersEnabled()

      Check if "hide no video users" option is enabled
      Returns:
        true if the option is enabled

    - #### setHideNoVideoUsersEnabled

          void setHideNoVideoUsersEnabled(boolean enabled)

      Turn on/off the option "hide no video users"
      Parameters:
        `enabled` - true to turn on, false to turn off

    - #### isSwitchVideoLayoutAccordingToUserCountEnabled

          boolean isSwitchVideoLayoutAccordingToUserCountEnabled()

      Check if it is automatically to switch video layout mode between active video and gallery view based on count of users.
      Returns:
        true if it is enabled.

    - #### setSwitchVideoLayoutAccordingToUserCountEnabled

          void setSwitchVideoLayoutAccordingToUserCountEnabled(boolean enabled)

      Enable/disable to automatically to switch video layout mode between active video and gallery view based on count of users.
      Parameters:
        `enabled` - enable/disable

    - #### getSwitchVideoLayoutUserCountThreshold

          int getSwitchVideoLayoutUserCountThreshold()

      Get the user count threshold value used to automatically switch video layout.
      Returns:
        the threshold value.

    - #### setSwitchVideoLayoutUserCountThreshold

          void setSwitchVideoLayoutUserCountThreshold(int value)

      Set the user count threshold value used to automatically switch video layout.
      Parameters:
        `value` - the thredshold value

    - #### setGalleryVideoViewDisabled

          void setGalleryVideoViewDisabled(boolean disabled)

      Disable/enable videos gallery view
      Parameters:
        `disabled` - true to disable videos gallery view

    - #### isGalleryVideoViewDisabled

          boolean isGalleryVideoViewDisabled()

      Check if videos gallery view is diabled.
      Returns:
        ture if the gallery videos view is disabled.

    - #### setGalleryViewCapacity

          void setGalleryViewCapacity(int cap)

      Set capacity of videos gallery view
      Parameters:
        `cap` - It should be between 4 and 25.

    - #### getGalleryViewCapacity

          int getGalleryViewCapacity()

      Get capacity of videos gallery view.
      Returns:
        the capacity.

    - #### isAlwaysShowMeetingToolbarEnabled

          boolean isAlwaysShowMeetingToolbarEnabled()

      Check if "always show meeting toolbar" option is enabled
      Returns:
        true if the option is enabled

    - #### setAlwaysShowMeetingToolbarEnabled

          void setAlwaysShowMeetingToolbarEnabled(boolean enabled)

      Turn on/off the option "always show meeting toolbar"
      Parameters:
        `enabled` - true to turn on, false to turn off

    - #### isNoVideoTileOnShareScreenEnabled

          boolean isNoVideoTileOnShareScreenEnabled()

      Check if "No video tile on share screen" option is enabled
      Returns:
        true if the option is enabled

    - #### setNoVideoTileOnShareScreenEnabled

          void setNoVideoTileOnShareScreenEnabled(boolean enabled)

      Turn on/off the option "No video tile on share screen"
      Parameters:
        `enabled` - true to turn on, false to turn off

    - #### isNoLeaveMeetingButtonForHostEnabled

          boolean isNoLeaveMeetingButtonForHostEnabled()

      Check if "No leave meeting button for host" option is enabled
      Returns:
        true if the option is enabled

    - #### setNoLeaveMeetingButtonForHostEnabled

          void setNoLeaveMeetingButtonForHostEnabled(boolean enabled)

      Turn on/off the option "No leave meeting button for host"
      Parameters:
        `enabled` - true to turn on, false to turn off

    - #### isNoUserJoinOrLeaveTipEnabled

          boolean isNoUserJoinOrLeaveTipEnabled()

      Check if "No user join or leave tip" option is enabled
      Returns:
        true if the option is enabled

    - #### setNoUserJoinOrLeaveTipEnabled

          void setNoUserJoinOrLeaveTipEnabled(boolean enabled)

      Turn on/off the option "No user join or leave tip"
      Parameters:
        `enabled` - true to turn on, false to turn off